<?php
// Own namespace
namespace Org\Mxchange\CoreFramework\Logging;

// Import framework stuff
use Org\Mxchange\CoreFramework\Factory\BaseFactory;
use Org\Mxchange\CoreFramework\Generic\FrameworkInterface;

/**
 * A Logger factory
 *
 * @author		Roland Haeder <webmaster@shipsimu.org>
 * @version		0.0.0
 * @copyright	Copyright (c) 2007, 2008 Roland Haeder, 2009 - 2020 Core Developer Team
 * @license		GNU GPL 3.0 or any newer version
 * @link		http://www.shipsimu.org
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 */
class LoggerFactory extends BaseFactory {
	/**
	 * Protected constructor
	 *
	 * @return	void
	 */
	protected function __construct () {
		// Call parent constructor
		parent::__construct(__CLASS__);
	}

	/**
	 * Creates a logger instance for given FrameworkInterface. This allows every
	 * class that implements FrameworkInterface to have an own logger. Surely
	 * this factory and the logger itself cannot have an own logger as this would
	 * lead to an endless loop: Get factory instance, get a logger for the factory
	 * instance which ivokes the factory's method again.
	 *
	 * @param	$objectInstance		An instance of a FrameworkInterface class
	 * @return	$loggerInstance		An instance of a Logger class
	 */
	public static final function createLoggerInstance (FrameworkInterface $objectInstance) {
		// @TODO Unfinished work
	}

}
